import os
port = os.environ.get('FRAPPY_MAIN_PORT')

Node('pe_stick.sinq.psi.ch',
    'soft cal for sample T from mercury',
    'tcp://5001',
)

Mod('itc_proxy',
    'frappy.core.Proxy',
    'ITC io proxy',
    module='itc1',
    remote_class =  'frappy_psi.mercury.IO',
    uri = f'tcp://localhost:{port}',
)

Mod('ts_uncal',
    'frappy_psi.mercury.TemperatureLoop',
    'sample temperature',
    output_module='htr_sample',
    slot='MB1.T1',
    io='itc_proxy',
    tolerance=1.0,
)

Mod('htr_sample',
    'frappy_psi.mercury.HeaterOutput',
    'sample stick heater power',
    slot='MB0.H1',
    io='itc_proxy',
)

Mod('tsraw',
    'frappy_psi.parmod.Par',
    'sample T sensor raw value',
    read='ts_uncal.raw',
    unit='Ohm',
#    export = False,
)

Mod('ts',
    'frappy_psi.softcal.Sensor',
    'calibrated value for ts',
    value = Param(unit = 'K'),
    rawsensor = 'tsraw',
    calcurve = 'X133834',
)
